@import "@/styles/variables";

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 2000px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(224.93deg, rgb(150 170 183 / 4%) -0.12%, rgb(114 136 150 / 4%) 100%);
    opacity: 0.9;
    z-index: 500;
    backdrop-filter: blur(2px);
}

.modal {
    position: absolute;
    top: 6rem;
    left: 50%;
    transform: translateX(-50%);
    background-color: $white;
    padding: 0.5rem 0.5rem 4rem;
    width: 95%;
    z-index: 1000;

    @include card-shadow;

    @include tablet {
        width: 75%;
    }

    @include notebook {
        width: 70%;
        padding: 3.5rem 3.5rem 4rem;
        top: 10rem;
        max-width: calc($max-inner-width - 128px);
    }

    &__header {
        display: flex;
        flex-direction: row-reverse;
        justify-content: space-between;

        @include notebook {
            @include col;
        }
    }

    &__close-button {
        margin-top: -0.5rem;
        margin-right: 1.5rem;
        font-size: 1.6rem;
        line-height: 1.2rem;
        text-decoration: none;

        @include notebook {
            align-self: flex-end;
            margin-top: 0;
            margin-right: 0;
            position: relative;
            top: -1rem;
            right: -1rem;
        }
    }

    &__title {
        @include col;

        padding: 1rem 0 1rem 1.5rem;
        align-self: flex-start;

        @include tablet {
            @include row;

            padding: 1rem 1.5rem;
            align-items: center;
        }
    }

    &__title-data {
        font-family: $primary-font-regular;
        font-size: $fs-p;
        line-height: 200%;
        color: $gray-dark;

        @include tablet {
            line-height: 280%;

            &::before {
                @include dash-content;

                padding: 0 1rem;
            }
        }
    }

    &__body {
        padding: 1rem 1.5rem;
    }

    .screenreader-text {
        visibility: hidden;
        display: none;
    }
}
